%define	name	natmonitor
%define	version	2.1
%define	release	1mdk

Summary:	This little utility monitor hosts bandwidth usage in your home lan. 
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://natmonitor.sourceforge.net/
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	natmonitord.init.bz2
Patch0:		natmonitor-datadir.patch.bz2
Patch1:		natmonitord-conf.patch.bz2
Group:		Monitoring
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libgtk+-x11-2.0_0
Requires:	libgtk+2.0_0
Requires:	libpcap0 >= 0.7.2
BuildRequires:	libgtk+-x11-2.0_0-devel
BuildRequires:	libgtk+2.0_0-devel
BuildRequires:	libpcap0-devel >= 0.7.2

%description
NAT Monitor is a tool to monitor hosts' bandwidth usage in a 
Linux-NAT network. A daemon collects data and clients display them
(currently a GTK app with graph and a text version). It detects 
new hosts, saves up to 12 hours of data, and has a nice summary 
statistic. 


%package -n	natmonitord
Summary:	The NAT Monitor daemon
Group:		System/Servers
PreReq:		rpm-helper
Requires:	libpcap0 >= 0.7.2

%description -n	natmonitord
The NAT Monitor daemon collects data for the natmonitor clients.

%prep

%setup -q -n %{name}
%patch0 -p0 -b .datadir
%patch1 -p0 -b .natmonitord-conf

bzcat %{SOURCE1} > natmonitord.init

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_localstatedir}/natmonitor

install -d %{buildroot}%{_menudir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

install -m644 icons/%{name}16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m644 icons/%{name}32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m644 icons/%{name}48x48.png %{buildroot}%{_liconsdir}/%{name}.png

install -m755 natmonitor %{buildroot}%{_bindir}/
install -m755 natmonitorconsole %{buildroot}%{_bindir}/
install -m755 natmonitord %{buildroot}%{_sbindir}/
install -m755 natmonitord.init %{buildroot}%{_initrddir}/natmonitord

install -m644 natmonitor.conf %{buildroot}%{_sysconfdir}
install -m644 natmonitord.conf %{buildroot}%{_sysconfdir}

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{name}" \
title="Natmonitor " \
longtitle="This little utility monitor hosts bandwidth usage in your home lan." \
needs="x11" \
icon="%{name}.png" \
section="Networking/Other"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%pre -n		natmonitord
%_pre_useradd natmonitor /var/lib/natmonitor /bin/false

%post -n	natmonitord
%_post_service natmonitord

%preun -n	natmonitord
%_preun_service natmonitord

%postun -n	natmonitord
%_postun_userdel natmonitor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc API BUGS CHANGELOG README TODO
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/natmonitor.conf
%attr(0755,root,root) %{_bindir}/natmonitor
%attr(0755,root,root) %{_bindir}/natmonitorconsole
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n	natmonitord
%defattr(-,root,root)
%config(noreplace) %attr(0755,root,root) %{_initrddir}/natmonitord
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/natmonitord.conf
%attr(0755,root,root) %{_sbindir}/natmonitord
%dir %attr(0755,natmonitor,natmonitor) %{_localstatedir}/natmonitor

%changelog
* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-1mdk
- 2.1
- added P0, P1 & S1
- added the natmonitord sub package

* Tue Apr 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1-1mdk
- 1.1
- drop P0, this software doesn't seem to like cflags at all (i wonder why???)

* Tue Apr 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9-1mdk
- 0.9
- fix P0
- install icons and menu stuff (i hope this is correct?)

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-1mdk
- initial cooker contrib
- added P0
